import 'antd/dist/antd.css';
import React, { useContext, useEffect } from 'react';

import { useUnauthRedirect } from '../../../hooks';
import { useRouter } from 'next/router';
import { Layout, Typography } from 'antd';
import UserNavBar from '../../../components/navigation/UserNavBar';
import { faFileLines } from '@fortawesome/free-solid-svg-icons';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import { LoggedUserContext } from '../../../contexts/LoggedUserContext';
import { MainLayout } from '../../../layouts/mainLayout';

function UserDocumentPage() {
    const redirecting = useUnauthRedirect('/login');
    const { logout, role } = useContext(LoggedUserContext);
    const router = useRouter();

    useEffect(() => {
        if (role !== 'ANNOTATOR') {
            logout();
            router.push('/login');
        }

        if (!redirecting) {
            // TODO load documents
        }
    }, [logout, redirecting, role, router]);

    return redirecting || role !== 'ANNOTATOR' ? null : (
        <MainLayout>
            <Typography.Title level={2}>
                <FontAwesomeIcon icon={faFileLines} /> Dokumenty
            </Typography.Title>
        </MainLayout>
    );
}

export default UserDocumentPage;
